function Reqv = Req( c, q )
%  given c, return equilibrium value of r:
%  R(c) = B .* c.^q .* sqrt(cc),  where B is such that
%  max( R(c) ) = 1.

cmax = q./(q+.5);
Rmax = cmax.^q .* sqrt(1-cmax);
B    = 1./Rmax;

cc = max([1-c 0]);
Reqv = B .* c.^q .* sqrt(cc);