%  integrate 

p = 4;
q = 2;
omc = 1;
omr = 1.e1;
t0  = 0;
tfinal = 10;

c0 = .3;
r0 = Req( c0, q );
y0 = [c0 r0]';

OPTIONS = odeset('Stats','on');

[t,y] = ode45( 'crdot',[t0 tfinal],y0,OPTIONS,p,q,omc,omr );

c = y(:,1);
r = y(:,2);
R = c;
for i = 1:size(c,1);
    R(i) = Req( c(i), q );
end

plot( t, c, 'bo' )
hold on
plot( t, r, 'r*' )
plot( t, R, 'g--')
hold off
